<?xml version="1.0"?>
<project name="xf-test-suite" default="dist" basedir=".">
  <property name="app.name" value="xf-test-suite"/>
  <property name="pub.dir" value="../../2002/Examples"/>
  <property name="app.version" value="1.0"/>
<!--  Configuration                                                      -->
  <property name="build.home" value="./build"/>
  <property name="dist.home" value="./dist"/>
  <property name="dist.test" value="${dist.home}/Test"/>
  <target name="dist" description="Create  distribution"
                depends="clean">
    <mkdir dir="${dist.home}"/>
    <mkdir dir="${dist.test}"/>
    <copy todir="${dist.test}/">
      <fileset dir="." includes="**/*">
                        </fileset>
    </copy>
    <delete dir="${dist.test}/dist"/>
    <jar jarfile="${app.name}.jar" basedir="${dist.home}"/>
  </target>
  <target name="publish" depends="dist">
    <mkdir dir="${pub.dir}/Test"/>
    <copy todir="${pub.dir}/Test">
      <fileset dir="${dist.test}">
                    </fileset>
    </copy>
    <copy file="${app.name}.jar" tofile="${pub.dir}/${app.name}.jar"/>
  </target>
  <target name="clean">
    <delete dir="${dist.home}"/>
    <delete file="${app.name}.jar"/>
    <delete file="${app.name}.zip"/>
  </target>
</project>
